Update an Apple Pass template
Updates an existing Apple Pass template by providing its ID and a .zip file. Refer to our Design an Apple Pass template guide for more information on how to design the template and how to structure the .zip file.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>id*stringApple Pass template ID
multipart/form-data- body
template*fileIncludes your template files.
binaryname*stringInsert a name to identify this Apple digital pass template.
1 <= length <= 1024fileName*stringInsert the file name that will be assigned to Apple digital passes created from this template. Must only include alphanumeric characters, ''_'', or ''-'', and end with .pkpass.
1 <= length <= 100teamIdentifier*stringThe Team ID for the Apple Developer Program account that registered the pass type identifier.
passTypeIdentifier*stringThe pass type identifier that’s registered with Apple. The value must be the same as the distribution certificate used to sign the pass.
wwdr*stringApple G1 or G4 worldwide developer relations intermediate certificate.
signerCert*stringApple pass signer certificate.
signerKey*stringThe encrypted key of the Apple pass signer certificate.
signerKeyPassphrase*stringPassphrase for the encrypted key.
Apple Pass template updated
application/json- response
id?stringThis is a unique identifier for this Apple digital pass template. You will use it as the templateId when formatting a CWT credential as an Apple Pass.
passType?DigitalPassTypeDigital pass type
"apple""google"name?stringmetadata?curl -X PUT "https://example.com/v2/credentials/compact-semantic/digital-pass/apple/templates/string" \ -F template="string" \ -F name="Certificate of participation" \ -F fileName="certificate_of_participation.pkpass" \ -F teamIdentifier="GH5P43ABC" \ -F passTypeIdentifier="pass.myproject.participation.pk" \ -F wwdr="string" \ -F signerCert="string" \ -F signerKey="string" \ -F signerKeyPassphrase="string"{ "id": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "passType": "apple", "name": "Certificate of participation", "metadata": { "fileName": "certificate_of_participation.pkpass", "teamIdentifier": "GH5P43ABC", "passTypeIdentifier": "pass.myproject.participation.pk" }}How would you rate this page?